MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032357Open CASCADE[OCCT] OCCT:Codingpublic2021-05-11 19:552021-05-15 15:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformLinuxOSUbuntuOS Version21.04
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032357: Coding Rules - eliminate GCC11 compiler warnings -Wignored-qualifiers
DescriptionThe following GCC11 -Wextra warnings should be eliminated:
/occt.git/src/TColStd/TColStd_PackedMapOfInteger.cxx:347: warning: type qualifiers ignored on cast result 
type [-Wignored-qualifiers]
../../../../src/TColStd/TColStd_PackedMapOfInteger.cxx: In member function ‘Standard_Integer TColStd_PackedMapOfInteger::GetMinimalMapped() 
const’:
../../../../src/TColStd/TColStd_PackedMapOfInteger.cxx:347:44: warning: type qualifiers ignored on cast 
result type [-Wignored-qualifiers]
  347 |     aResult = TColStd_intMapNode_findNext ((const Standard_Address )pFoundNode, aFullMask);
      
|                                            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      
/occt.git/src/TColStd/TColStd_PackedMapOfInteger.cxx:381: warning: type qualifiers ignored on cast result 
type [-Wignored-qualifiers]
../../../../src/TColStd/TColStd_PackedMapOfInteger.cxx: In member function ‘Standard_Integer TColStd_PackedMapOfInteger::GetMaximalMapped() 
const’:
../../../../src/TColStd/TColStd_PackedMapOfInteger.cxx:381:44: warning: type qualifiers ignored on cast 
result type [-Wignored-qualifiers]
  381 |     aResult = TColStd_intMapNode_findPrev ((const Standard_Address )pFoundNode, aFullMask);
      
|                                            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100890)
git (administrator)
2021-05-11 19:56

Branch CR32357 has been created by kgv.

SHA-1: 960de063da5c5bb883f2f7383956309cbb8ec245


Detailed log of new commits:

Author: kgv
Date: Tue May 11 19:56:36 2021 +0300

    0032357: Coding Rules - eliminate GCC11 compiler warnings -Wignored-qualifiers
(0100905)
kgv (developer)
2021-05-12 06:07

Please raise the patch
- OCCT: branch CR32357.

http://jenkins-test-occt/view/CR32357-master-KGV/ [^]
(0101013)
bugmaster (administrator)
2021-05-15 14:01

Combination -
OCCT branch : IR-2021-05-14
master SHA - d1b8120b699dfa46c9899f70430ec45a0c4e4a95
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-14 SHA - c56cdc236ba39874bae48cf231ece00c0876d871
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17874.080000000333 / 17899.800000000352 [-0.14%]
Products
Total CPU difference: 11557.880000000083 / 11563.54000000011 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19394.921875 / 19369.625 [+0.13%]
Products
Total CPU difference: 12880.234375 / 12896.03125 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101029)
git (administrator)
2021-05-15 15:34

Branch CR32357 has been deleted by inv.

SHA-1: 960de063da5c5bb883f2f7383956309cbb8ec245

- Related Changesets
occt: master f5682e9f
Timestamp: 2021-05-11 16:56:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032357: Coding Rules - eliminate GCC11 compiler warnings -Wignored-qualifiers
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-11 19:55 kgv New Issue
2021-05-11 19:55 kgv Assigned To => kgv
2021-05-11 19:56 git Note Added: 0100890
2021-05-12 06:07 kgv Note Added: 0100905
2021-05-12 06:07 kgv Assigned To kgv => bugmaster
2021-05-12 06:07 kgv Severity minor => trivial
2021-05-12 06:07 kgv Status new => resolved
2021-05-12 06:07 kgv Status resolved => reviewed
2021-05-15 14:01 bugmaster Note Added: 0101013
2021-05-15 14:01 bugmaster Status reviewed => tested
2021-05-15 14:07 bugmaster Test case number => Not required
2021-05-15 14:16 bugmaster Changeset attached => occt master f5682e9f
2021-05-15 14:16 bugmaster Status tested => verified
2021-05-15 14:16 bugmaster Resolution open => fixed
2021-05-15 15:34 git Note Added: 0101029


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker